FROM python:3.9-bullseye
ENV PYTHONUNBUFFERED 1

# Requirements have to be pulled and installed here, otherwise caching won't work
COPY ./requirements /requirements

# RUN mkdir -p /app/external-src/django-terms
# COPY ./external-src/django-terms/ /app/external-src/django-terms/
RUN pip install --upgrade pip && pip install  -r /requirements/local.txt

# patch wagtail migration for migration compatibilty
# see https://code.micorr.org/youtrack/issue/MC-277#comment=4-151
RUN sed -i -e 's/0026_group_collection_permission/0002_initial_data/' $(find  /usr/local/lib/ -name 0001_create_admin_access_permissions.py)

COPY ./compose/django/entrypoint.sh /entrypoint.sh
RUN sed -i 's/\r//' /entrypoint.sh
RUN chmod +x /entrypoint.sh

COPY ./compose/django/start-dev.sh /start-dev.sh
RUN sed -i 's/\r//' /start-dev.sh
RUN chmod +x /start-dev.sh

WORKDIR /app

ENTRYPOINT ["/entrypoint.sh"]
